// Skybox

textures/xan_skies/ruins_ft
{
    qer_editorimage textures/xan_skies/ruins_ft.jpg
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globaltexture
    q3map_lightsubdivide 256
    q3map_skylight 200 2
    surfaceparm sky
    q3map_sunExt 1 1 1 100 350 40 3 16
    skyparms textures/xan_skies/ruins - -
}

// Light

textures/xan_jumps/light1a_2k
{
	qer_editorimage textures/xan_jumps/light1a.tga
	surfaceparm nomarks
	//altered x 2.5 for r_overbrightbits 0 and r_mapoverbrightbits 0
	q3map_surfacelight 5500
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/xan_jumps/light1a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/xan_jumps/light1a_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// Banners

textures/xan_jumps/urtjumpers
{
	qer_editorimage textures/xan_jumps/urtjumpers.jpg
        cull none
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/xan_jumps/urtjumpers.jpg
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}

textures/xan_jumps/wow2:q3map
{
    surfaceparm nonsolid
}

// Wall

textures/xan_jumps/wall1_nosolid:q3map
{
    surfaceparm nonsolid
}

// Glass

textures/xan_jumps/transwall1
{
qer_editorimage textures/xan_jumps/transwall1.jpeg
surfaceparm slick
surfaceparm nolightmap
surfaceparm nomarks
cull twosided
{
map textures/xan_jumps/transwall1.jpeg
tcGen environment
tcMod turb 0 0.01 0 0.01        
tcmod scroll .0 .0
blendfunc GL_ONE GL_ONE
                }
}

textures/xan_jumps/glass1
{
qer_editorimage textures/xan_jumps/glass1.jpeg
surfaceparm slick
surfaceparm nolightmap
surfaceparm nomarks
cull twosided
{
map textures/xan_jumps/glass1.jpeg
tcGen environment
tcMod turb 0 0.01 0 0.01        
tcmod scroll .0 .0
blendfunc GL_ONE GL_ONE
                }
}

textures/xan_jumps/glass2
{
qer_editorimage textures/xan_jumps/glass2.jpeg
surfaceparm slick
surfaceparm nolightmap
surfaceparm nomarks
cull twosided
{
map textures/xan_jumps/glass2.jpeg
tcGen environment
tcMod turb 0 0.01 0 0.01        
tcmod scroll .0 .0
blendfunc GL_ONE GL_ONE
                }
}

// Water

textures/xan_jumps/lava1

    {
        qer_editorimage textures/xan_jumps/lava1.jpeg
        qer_trans .5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        surfaceparm nolightmap
	  q3map_surfacelight 50

        cull disable
        deformVertexes wave 64 sin .5 .5 0 .5    

        { 
            map textures/xan_jumps/lava1.jpeg
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 1.5 0 1.5 1 1 2
            tcmod scroll -.05 .001
        }

        { 
            map textures/xan_jumps/lava1.jpeg
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .5 .5
            tcmod transform 0 1.5 1 1.5 2 1
            tcmod scroll .025 -.001
        }

        { 
            map textures/xan_jumps/lava1.jpeg
            blendFunc GL_dst_color GL_one
            rgbgen identity
            tcmod scale .25 .5
            tcmod scroll .001 .025
        }

        {
            map $lightmap
            blendFunc GL_dst_color GL_zero
            rgbgen identity        
        }

}